diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/profile.php ./wordpress-3.4/wp-admin/profile.php
*** ./wordpress-3.3.2/wp-admin/profile.php	2011-04-28 10:24:49.000000000 -0500
--- ./wordpress-3.4/wp-admin/profile.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 16,19 ****
  
  /** Load User Editing Page */
  require_once('./user-edit.php');
- ?>
--- 16,18 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/setup-config.php ./wordpress-3.4/wp-admin/setup-config.php
*** ./wordpress-3.3.2/wp-admin/setup-config.php	2012-04-16 17:02:54.000000000 -0500
--- ./wordpress-3.4/wp-admin/setup-config.php	2012-04-30 16:56:32.000000000 -0500
***************
*** 41,74 ****
  define('WP_DEBUG', false);
  /**#@-*/
  
! require_once(ABSPATH . WPINC . '/load.php');
! require_once(ABSPATH . WPINC . '/version.php');
  wp_check_php_mysql_versions();
  wp_unregister_GLOBALS();
  
  require_once(ABSPATH . WPINC . '/compat.php');
- require_once(ABSPATH . WPINC . '/functions.php');
  require_once(ABSPATH . WPINC . '/class-wp-error.php');
  require_once(ABSPATH . WPINC . '/formatting.php');
  wp_magic_quotes();
  
! if (!file_exists(ABSPATH . 'wp-config-sample.php'))
! 	wp_die('Sorry, I need a wp-config-sample.php file to work from. Please re-upload this file from your WordPress installation.');
  
! $configFile = file(ABSPATH . 'wp-config-sample.php');
  
  // Check if wp-config.php has been created
! if (file_exists(ABSPATH . 'wp-config.php'))
! 	wp_die("<p>The file 'wp-config.php' already exists. If you need to reset any of the configuration items in this file, please delete it first. You may try <a href='install.php'>installing now</a>.</p>");
  
  // Check if wp-config.php exists above the root directory but is not part of another install
! if (file_exists(ABSPATH . '../wp-config.php') && ! file_exists(ABSPATH . '../wp-settings.php'))
! 	wp_die("<p>The file 'wp-config.php' already exists one level above your WordPress installation. If you need to reset any of the configuration items in this file, please delete it first. You may try <a href='install.php'>installing now</a>.</p>");
  
! if (isset($_GET['step']))
! 	$step = $_GET['step'];
! else
! 	$step = 0;
  
  /**
   * Display setup wp-config.php file header.
--- 41,79 ----
  define('WP_DEBUG', false);
  /**#@-*/
  
! require(ABSPATH . WPINC . '/load.php');
! require(ABSPATH . WPINC . '/version.php');
! 
! // Also loads functions.php, plugin.php, l10n.php, pomo/mo.php (all required by setup-config.php)
! wp_load_translations_early();
! 
! // Check for the required PHP version and for the MySQL extension or a database drop-in.
  wp_check_php_mysql_versions();
+ 
+ // Turn register_globals off.
  wp_unregister_GLOBALS();
  
  require_once(ABSPATH . WPINC . '/compat.php');
  require_once(ABSPATH . WPINC . '/class-wp-error.php');
  require_once(ABSPATH . WPINC . '/formatting.php');
+ 
+ // Add magic quotes and set up $_REQUEST ( $_GET + $_POST )
  wp_magic_quotes();
  
! if ( ! file_exists( ABSPATH . 'wp-config-sample.php' ) )
! 	wp_die( __( 'Sorry, I need a wp-config-sample.php file to work from. Please re-upload this file from your WordPress installation.' ) );
  
! $config_file = file(ABSPATH . 'wp-config-sample.php');
  
  // Check if wp-config.php has been created
! if ( file_exists( ABSPATH . 'wp-config.php' ) )
! 	wp_die( '<p>' . sprintf( __( "The file 'wp-config.php' already exists. If you need to reset any of the configuration items in this file, please delete it first. You may try <a href='%s'>installing now</a>." ), 'install.php' ) . '</p>' );
  
  // Check if wp-config.php exists above the root directory but is not part of another install
! if ( file_exists(ABSPATH . '../wp-config.php' ) && ! file_exists( ABSPATH . '../wp-settings.php' ) )
! 	wp_die( '<p>' . sprintf( __( "The file 'wp-config.php' already exists one level above your WordPress installation. If you need to reset any of the configuration items in this file, please delete it first. You may try <a href='install.php'>installing now</a>."), 'install.php' ) . '</p>' );
  
! $step = isset( $_GET['step'] ) ? (int) $_GET['step'] : 0;
  
  /**
   * Display setup wp-config.php file header.
***************
*** 79,96 ****
   * @subpackage Installer_WP_Config
   */
  function display_header() {
  	header( 'Content-Type: text/html; charset=utf-8' );
  ?>
  <!DOCTYPE html>
! <html xmlns="http://www.w3.org/1999/xhtml">
  <head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
! <title>WordPress &rsaquo; Setup Configuration File</title>
! <link rel="stylesheet" href="css/install.css" type="text/css" />
  
  </head>
! <body>
! <h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png" /></h1>
  <?php
  }//end function display_header();
  
--- 84,103 ----
   * @subpackage Installer_WP_Config
   */
  function display_header() {
+ 	global $wp_version;
+ 
  	header( 'Content-Type: text/html; charset=utf-8' );
  ?>
  <!DOCTYPE html>
! <html xmlns="http://www.w3.org/1999/xhtml"<?php if ( is_rtl() ) echo ' dir="rtl"'; ?>>
  <head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
! <title><?php _e( 'WordPress &rsaquo; Setup Configuration File' ); ?></title>
! <link rel="stylesheet" href="css/install.css?ver=<?php echo preg_replace( '/[^0-9a-z\.-]/i', '', $wp_version ); ?>" type="text/css" />
  
  </head>
! <body<?php if ( is_rtl() ) echo ' class="rtl"'; ?>>
! <h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png?ver=20120216" /></h1>
  <?php
  }//end function display_header();
  
***************
*** 99,116 ****
  		display_header();
  ?>
  
! <p>Welcome to WordPress. Before getting started, we need some information on the database. You will need to know the following items before proceeding.</p>
  <ol>
! 	<li>Database name</li>
! 	<li>Database username</li>
! 	<li>Database password</li>
! 	<li>Database host</li>
! 	<li>Table prefix (if you want to run more than one WordPress in a single database) </li>
  </ol>
! <p><strong>If for any reason this automatic file creation doesn't work, don't worry. All this does is fill in the database information to a configuration file. You may also simply open <code>wp-config-sample.php</code> in a text editor, fill in your information, and save it as <code>wp-config.php</code>. </strong></p>
! <p>In all likelihood, these items were supplied to you by your Web Host. If you do not have this information, then you will need to contact them before you can continue. If you&#8217;re all ready&hellip;</p>
  
! <p class="step"><a href="setup-config.php?step=1<?php if ( isset( $_GET['noapi'] ) ) echo '&amp;noapi'; ?>" class="button">Let&#8217;s go!</a></p>
  <?php
  	break;
  
--- 106,123 ----
  		display_header();
  ?>
  
! <p><?php _e( 'Welcome to WordPress. Before getting started, we need some information on the database. You will need to know the following items before proceeding.' ) ?></p>
  <ol>
! 	<li><?php _e( 'Database name' ); ?></li>
! 	<li><?php _e( 'Database username' ); ?></li>
! 	<li><?php _e( 'Database password' ); ?></li>
! 	<li><?php _e( 'Database host' ); ?></li>
! 	<li><?php _e( 'Table prefix (if you want to run more than one WordPress in a single database)' ); ?></li>
  </ol>
! <p><strong><?php _e( "If for any reason this automatic file creation doesn't work, don't worry. All this does is fill in the database information to a configuration file. You may also simply open <code>wp-config-sample.php</code> in a text editor, fill in your information, and save it as <code>wp-config.php</code>." ); ?></strong></p>
! <p><?php _e( "In all likelihood, these items were supplied to you by your Web Host. If you do not have this information, then you will need to contact them before you can continue. If you&#8217;re all ready&hellip;" ); ?></p>
  
! <p class="step"><a href="setup-config.php?step=1<?php if ( isset( $_GET['noapi'] ) ) echo '&amp;noapi'; ?>" class="button"><?php _e( 'Let&#8217;s go!' ); ?></a></p>
  <?php
  	break;
  
***************
*** 118,169 ****
  		display_header();
  	?>
  <form method="post" action="setup-config.php?step=2">
! 	<p>Below you should enter your database connection details. If you're not sure about these, contact your host. </p>
  	<table class="form-table">
  		<tr>
! 			<th scope="row"><label for="dbname">Database Name</label></th>
  			<td><input name="dbname" id="dbname" type="text" size="25" value="wordpress" /></td>
! 			<td>The name of the database you want to run WP in. </td>
  		</tr>
  		<tr>
! 			<th scope="row"><label for="uname">User Name</label></th>
! 			<td><input name="uname" id="uname" type="text" size="25" value="username" /></td>
! 			<td>Your MySQL username</td>
  		</tr>
  		<tr>
! 			<th scope="row"><label for="pwd">Password</label></th>
! 			<td><input name="pwd" id="pwd" type="text" size="25" value="password" /></td>
! 			<td>...and your MySQL password.</td>
  		</tr>
  		<tr>
! 			<th scope="row"><label for="dbhost">Database Host</label></th>
  			<td><input name="dbhost" id="dbhost" type="text" size="25" value="localhost" /></td>
! 			<td>You should be able to get this info from your web host, if <code>localhost</code> does not work.</td>
  		</tr>
  		<tr>
! 			<th scope="row"><label for="prefix">Table Prefix</label></th>
  			<td><input name="prefix" id="prefix" type="text" value="wp_" size="25" /></td>
! 			<td>If you want to run multiple WordPress installations in a single database, change this.</td>
  		</tr>
  	</table>
! 	<?php if ( isset( $_GET['noapi'] ) ) { ?><input name="noapi" type="hidden" value="true" /><?php } ?>
! 	<p class="step"><input name="submit" type="submit" value="Submit" class="button" /></p>
  </form>
  <?php
  	break;
  
  	case 2:
! 	$dbname  = trim($_POST['dbname']);
! 	$uname   = trim($_POST['uname']);
! 	$passwrd = trim($_POST['pwd']);
! 	$dbhost  = trim($_POST['dbhost']);
! 	$prefix  = trim($_POST['prefix']);
! 	if ( empty($prefix) )
! 		$prefix = 'wp_';
  
! 	// Validate $prefix: it can only contain letters, numbers and underscores
  	if ( preg_match( '|[^a-z0-9_]|i', $prefix ) )
! 		wp_die( /*WP_I18N_BAD_PREFIX*/'<strong>ERROR</strong>: "Table Prefix" can only contain numbers, letters, and underscores.'/*/WP_I18N_BAD_PREFIX*/ );
  
  	// Test the db connection.
  	/**#@+
--- 125,176 ----
  		display_header();
  	?>
  <form method="post" action="setup-config.php?step=2">
! 	<p><?php _e( "Below you should enter your database connection details. If you're not sure about these, contact your host." ); ?></p>
  	<table class="form-table">
  		<tr>
! 			<th scope="row"><label for="dbname"><?php _e( 'Database Name' ); ?></label></th>
  			<td><input name="dbname" id="dbname" type="text" size="25" value="wordpress" /></td>
! 			<td><?php _e( 'The name of the database you want to run WP in.' ); ?></td>
  		</tr>
  		<tr>
! 			<th scope="row"><label for="uname"><?php _e( 'User Name' ); ?></label></th>
! 			<td><input name="uname" id="uname" type="text" size="25" value="<?php echo htmlspecialchars( _x( 'username', 'example username' ), ENT_QUOTES ); ?>" /></td>
! 			<td><?php _e( 'Your MySQL username' ); ?></td>
  		</tr>
  		<tr>
! 			<th scope="row"><label for="pwd"><?php _e( 'Password' ); ?></label></th>
! 			<td><input name="pwd" id="pwd" type="text" size="25" value="<?php echo htmlspecialchars( _x( 'password', 'example password' ), ENT_QUOTES ); ?>" /></td>
! 			<td><?php _e( '&hellip;and your MySQL password.' ); ?></td>
  		</tr>
  		<tr>
! 			<th scope="row"><label for="dbhost"><?php _e( 'Database Host' ); ?></label></th>
  			<td><input name="dbhost" id="dbhost" type="text" size="25" value="localhost" /></td>
! 			<td><?php _e( 'You should be able to get this info from your web host, if <code>localhost</code> does not work.' ); ?></td>
  		</tr>
  		<tr>
! 			<th scope="row"><label for="prefix"><?php _e( 'Table Prefix' ); ?></label></th>
  			<td><input name="prefix" id="prefix" type="text" value="wp_" size="25" /></td>
! 			<td><?php _e( 'If you want to run multiple WordPress installations in a single database, change this.' ); ?></td>
  		</tr>
  	</table>
! 	<?php if ( isset( $_GET['noapi'] ) ) { ?><input name="noapi" type="hidden" value="1" /><?php } ?>
! 	<p class="step"><input name="submit" type="submit" value="<?php echo htmlspecialchars( __( 'Submit' ), ENT_QUOTES ); ?>" class="button" /></p>
  </form>
  <?php
  	break;
  
  	case 2:
! 	foreach ( array( 'dbname', 'uname', 'pwd', 'dbhost', 'prefix' ) as $key )
! 		$$key = trim( stripslashes( $_POST[ $key ] ) );
! 
! 	$tryagain_link = '</p><p class="step"><a href="setup-config.php?step=1" onclick="javascript:history.go(-1);return false;" class="button">' . __( 'Try Again' ) . '</a>';
  
! 	if ( empty( $prefix ) )
! 		wp_die( __( '<strong>ERROR</strong>: "Table Prefix" must not be empty.' . $tryagain_link ) );
! 
! 	// Validate $prefix: it can only contain letters, numbers and underscores.
  	if ( preg_match( '|[^a-z0-9_]|i', $prefix ) )
! 		wp_die( __( '<strong>ERROR</strong>: "Table Prefix" can only contain numbers, letters, and underscores.' . $tryagain_link ) );
  
  	// Test the db connection.
  	/**#@+
***************
*** 171,192 ****
  	 */
  	define('DB_NAME', $dbname);
  	define('DB_USER', $uname);
! 	define('DB_PASSWORD', $passwrd);
  	define('DB_HOST', $dbhost);
  	/**#@-*/
  
  	// We'll fail here if the values are no good.
  	require_wp_db();
! 	if ( ! empty( $wpdb->error ) ) {
! 		$back = '<p class="step"><a href="setup-config.php?step=1" onclick="javascript:history.go(-1);return false;" class="button">Try Again</a></p>';
! 		wp_die( $wpdb->error->get_error_message() . $back );
! 	}
  
  	// Fetch or generate keys and salts.
  	$no_api = isset( $_POST['noapi'] );
- 	require_once( ABSPATH . WPINC . '/plugin.php' );
- 	require_once( ABSPATH . WPINC . '/l10n.php' );
- 	require_once( ABSPATH . WPINC . '/pomo/translations.php' );
  	if ( ! $no_api ) {
  		require_once( ABSPATH . WPINC . '/class-http.php' );
  		require_once( ABSPATH . WPINC . '/http.php' );
--- 178,194 ----
  	 */
  	define('DB_NAME', $dbname);
  	define('DB_USER', $uname);
! 	define('DB_PASSWORD', $pwd);
  	define('DB_HOST', $dbhost);
  	/**#@-*/
  
  	// We'll fail here if the values are no good.
  	require_wp_db();
! 	if ( ! empty( $wpdb->error ) )
! 		wp_die( $wpdb->error->get_error_message() . $tryagain_link );
  
  	// Fetch or generate keys and salts.
  	$no_api = isset( $_POST['noapi'] );
  	if ( ! $no_api ) {
  		require_once( ABSPATH . WPINC . '/class-http.php' );
  		require_once( ABSPATH . WPINC . '/http.php' );
***************
*** 213,274 ****
  			$secret_keys[$k] = substr( $v, 28, 64 );
  		}
  	}
- 	$key = 0;
  
! 	foreach ($configFile as $line_num => $line) {
! 		switch (substr($line,0,16)) {
! 			case "define('DB_NAME'":
! 				$configFile[$line_num] = str_replace("database_name_here", $dbname, $line);
! 				break;
! 			case "define('DB_USER'":
! 				$configFile[$line_num] = str_replace("'username_here'", "'$uname'", $line);
! 				break;
! 			case "define('DB_PASSW":
! 				$configFile[$line_num] = str_replace("'password_here'", "'$passwrd'", $line);
! 				break;
! 			case "define('DB_HOST'":
! 				$configFile[$line_num] = str_replace("localhost", $dbhost, $line);
! 				break;
! 			case '$table_prefix  =':
! 				$configFile[$line_num] = str_replace('wp_', $prefix, $line);
! 				break;
! 			case "define('AUTH_KEY":
! 			case "define('SECURE_A":
! 			case "define('LOGGED_I":
! 			case "define('NONCE_KE":
! 			case "define('AUTH_SAL":
! 			case "define('SECURE_A":
! 			case "define('LOGGED_I":
! 			case "define('NONCE_SA":
! 				$configFile[$line_num] = str_replace('put your unique phrase here', $secret_keys[$key++], $line );
  				break;
  		}
  	}
  	if ( ! is_writable(ABSPATH) ) :
  		display_header();
  ?>
! <p>Sorry, but I can't write the <code>wp-config.php</code> file.</p>
! <p>You can create the <code>wp-config.php</code> manually and paste the following text into it.</p>
  <textarea cols="98" rows="15" class="code"><?php
! 		foreach( $configFile as $line ) {
  			echo htmlentities($line, ENT_COMPAT, 'UTF-8');
  		}
  ?></textarea>
! <p>After you've done that, click "Run the install."</p>
! <p class="step"><a href="install.php" class="button">Run the install</a></p>
  <?php
  	else :
  		$handle = fopen(ABSPATH . 'wp-config.php', 'w');
! 		foreach( $configFile as $line ) {
  			fwrite($handle, $line);
  		}
  		fclose($handle);
  		chmod(ABSPATH . 'wp-config.php', 0666);
  		display_header();
  ?>
! <p>All right sparky! You've made it through this part of the installation. WordPress can now communicate with your database. If you are ready, time now to&hellip;</p>
  
! <p class="step"><a href="install.php" class="button">Run the install</a></p>
  <?php
  	endif;
  	break;
--- 215,280 ----
  			$secret_keys[$k] = substr( $v, 28, 64 );
  		}
  	}
  
! 	$key = 0;
! 	foreach ( $config_file as &$line ) {
! 		if ( '$table_prefix  =' == substr( $line, 0, 16 ) ) {
! 			$line = '$table_prefix  = \'' . addcslashes( $prefix, "\\'" ) . "';\r\n";
! 			continue;
! 		}
! 
! 		if ( ! preg_match( '/^define\(\'([A-Z_]+)\',([ ]+)/', $line, $match ) )
! 			continue;
! 
! 		$constant = $match[1];
! 		$padding  = $match[2];
! 
! 		switch ( $constant ) {
! 			case 'DB_NAME'     :
! 			case 'DB_USER'     :
! 			case 'DB_PASSWORD' :
! 			case 'DB_HOST'     :
! 				$line = "define('" . $constant . "'," . $padding . "'" . addcslashes( constant( $constant ), "\\'" ) . "');\r\n";
! 				break;
! 			case 'AUTH_KEY'         :
! 			case 'SECURE_AUTH_KEY'  :
! 			case 'LOGGED_IN_KEY'    :
! 			case 'NONCE_KEY'        :
! 			case 'AUTH_SALT'        :
! 			case 'SECURE_AUTH_SALT' :
! 			case 'LOGGED_IN_SALT'   :
! 			case 'NONCE_SALT'       :
! 				$line = "define('" . $constant . "'," . $padding . "'" . $secret_keys[$key++] . "');\r\n";
  				break;
  		}
  	}
+ 	unset( $line );
+ 
  	if ( ! is_writable(ABSPATH) ) :
  		display_header();
  ?>
! <p><?php _e( "Sorry, but I can't write the <code>wp-config.php</code> file." ); ?></p>
! <p><?php _e( 'You can create the <code>wp-config.php</code> manually and paste the following text into it.' ); ?></p>
  <textarea cols="98" rows="15" class="code"><?php
! 		foreach( $config_file as $line ) {
  			echo htmlentities($line, ENT_COMPAT, 'UTF-8');
  		}
  ?></textarea>
! <p><?php _e( 'After you\'ve done that, click "Run the install."' ); ?></p>
! <p class="step"><a href="install.php" class="button"><?php _e( 'Run the install' ); ?></a></p>
  <?php
  	else :
  		$handle = fopen(ABSPATH . 'wp-config.php', 'w');
! 		foreach( $config_file as $line ) {
  			fwrite($handle, $line);
  		}
  		fclose($handle);
  		chmod(ABSPATH . 'wp-config.php', 0666);
  		display_header();
  ?>
! <p><?php _e( "All right sparky! You've made it through this part of the installation. WordPress can now communicate with your database. If you are ready, time now to&hellip;" ); ?></p>
  
! <p class="step"><a href="install.php" class="button"><?php _e( 'Run the install' ); ?></a></p>
  <?php
  	endif;
  	break;
